%global framework libkleo

Name:           kf5-%{framework}
Version:        23.08.5
Release:        1
Summary:        KDE PIM cryptographic library

License:        GPLv2+
URL:            https://invent.kde.org/frameworks/%{framework}/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz


BuildRequires:  boost-devel

BuildRequires:  qt5-qtbase-devel

BuildRequires:  qt-gpgme
BuildRequires:  qgpgme-devel
# workaround gpgmepp-devel missing Requires: libassuan-devel for now
BuildRequires:  libassuan-devel
# kf5
BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kf5-rpm-macros >= 5.19.0
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
# kde-apps
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires:  kf5-kpimtextedit-devel >= %{majmin_ver}

Obsoletes:      kdepim-libs < 7:16.04.0

# gpg support ui
Recommends:     pinentry-qt

# translations moved here
Conflicts: kde-l10n < 17.03

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# INTERFACE_LINK_LIBRARIES "QGpgme;Gpgmepp"
Requires:       cmake(Gpgmepp)
Requires:       cmake(QGpgme)
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
%cmake_kf5

%make_build


%install
%make_install

%find_lang %{name} --all-name --with-html


%ldconfig_scriptlets

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_sysconfdir}/xdg/libkleopatrarc
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5Libkleo.so.*
%{_kf5_datadir}/libkleopatra/

%files devel
%{_kf5_libdir}/libKPim5Libkleo.so
%{_kf5_libdir}/cmake/KF5Libkleo/
%{_kf5_libdir}/cmake/KPim5Libkleo/
%{_includedir}/KPim5/Libkleo/
%{_kf5_archdatadir}/mkspecs/modules/qt_Libkleo.pri


%changelog
* Mon Mar 18 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.5-1
- update verison to 23.08.5

* Mon Jan 08 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.4-1
- update verison to 23.08.4

* Fri Aug 04 2023 peijiankang <peijiankang@kylinos.cn> - 23.04.3-1
- 23.04.3

* Wed May 10 2023 misaka00251 <liuxin@iscas.ac.cn> - 22.12.0-2
- Fix pinentry-qt dependency

* Wed Apr 26 2023 peijiankang <peijiankang@kylinos.cn> - 22.12.0-1
- 22.12.0

